ReadOnlyDoubleWrapper (JavaFX 13)

Module javafx.base
Package javafx.beans.property

## Class ReadOnlyDoubleWrapper

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.DoubleExpression
    - - javafx.beans.property.ReadOnlyDoubleProperty
      - - javafx.beans.property.DoubleProperty
        - - javafx.beans.property.DoublePropertyBase
          - - javafx.beans.property.SimpleDoubleProperty
            - - javafx.beans.property.ReadOnlyDoubleWrapper

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableDoubleValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableDoubleValue`, `WritableNumberValue`, `WritableValue<Number>`

      public class ReadOnlyDoubleWrapper
      extends SimpleDoubleProperty

  This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.
  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyDoubleWrapper()` | The constructor of `ReadOnlyDoubleWrapper`
    `ReadOnlyDoubleWrapper​(double initialValue)` | The constructor of `ReadOnlyDoubleWrapper`
    `ReadOnlyDoubleWrapper​(Object bean, String name)` | The constructor of `ReadOnlyDoubleWrapper`
    `ReadOnlyDoubleWrapper​(Object bean, String name, double initialValue)` | The constructor of `ReadOnlyDoubleWrapper`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
    `ReadOnlyDoubleProperty` | `getReadOnlyProperty()` | Returns the read-only property, that is synchronized with this `ReadOnlyDoubleWrapper`.

    - ### Methods inherited from class javafx.beans.property.SimpleDoubleProperty

      `getBean, getName`

    - ### Methods inherited from class javafx.beans.property.DoublePropertyBase

      `addListener, addListener, bind, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.DoubleProperty

      `asObject, bindBidirectional, doubleProperty, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyDoubleProperty

      `readOnlyDoubleProperty`

    - ### Methods inherited from class javafx.beans.binding.DoubleExpression

      `add, add, add, add, add, divide, divide, divide, divide, divide, doubleExpression, doubleExpression, doubleValue, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

    - ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

      `asString, asString, asString, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, numberExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### ReadOnlyDoubleWrapper

          public ReadOnlyDoubleWrapper()

      The constructor of `ReadOnlyDoubleWrapper`

    - #### ReadOnlyDoubleWrapper

          public ReadOnlyDoubleWrapper​(double initialValue)

      The constructor of `ReadOnlyDoubleWrapper`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### ReadOnlyDoubleWrapper

          public ReadOnlyDoubleWrapper​(Object bean,
                                       String name)

      The constructor of `ReadOnlyDoubleWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlyDoubleProperty`
        `name` - the name of this `ReadOnlyDoubleProperty`

    - #### ReadOnlyDoubleWrapper

          public ReadOnlyDoubleWrapper​(Object bean,
                                       String name,
                                       double initialValue)

      The constructor of `ReadOnlyDoubleWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlyDoubleProperty`
        `name` - the name of this `ReadOnlyDoubleProperty`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getReadOnlyProperty

          public ReadOnlyDoubleProperty getReadOnlyProperty()

      Returns the read-only property, that is synchronized with this `ReadOnlyDoubleWrapper`.
      Returns:
        the read-only property

    - #### fireValueChangedEvent

          protected void fireValueChangedEvent()

      Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `DoublePropertyBase.set(double)` or in case of a bound property, if the binding becomes invalid.
      Overrides:
        `fireValueChangedEvent` in class `DoublePropertyBase`